Eszközök és alkalmazások millióit érinti a nyílt forráskódú Apache Log4j könyvtárát érintő sérülékenység, melyet egy egyszerű parancssor begépelésével lehet kihasználni. A gyártók folyamatosan frissítik alkalmazásaikat és eszközeiket, de a támadók is aktívan kihasználják a hibát.

A Nemzeti Kibervédelmi Intézet is riasztást adott ki az Apache Log4j könyvtárt érintő, kritikus kockázati besorolású sérülékenységgel kapcsolatban. Ez gyakorlatilag a hibaüzenetek naplózására használt könyvtár, melyben egy rendkívül egyszerű parancssor futtatása után teljes egészében hozzáférhetünk az érintett rendszerekhez. A hiba kódneve CVE-2021-44228, Log4Shell vagy LogJam. Az Apache megoldását már frissítették.

A problémát ez még nem oldja meg, mert ezt a nyílt forráskódú megoldást rengeteg termékbe építették be.

A hibát első körben a Minecraft szerverek feltörésére használták, akkor még egyelőre kisgyermekek vicces tréfálkozásának tűnt a dolog. Azonban a 10 pontból 10-es kritikusságúnak besorolt hibáról kiderült, hogy sokkal súlyosabb annál. A hibát már folyamatosan aktívan kihasználják, hiszen igazából az érintett alkalmazást futtató, internetre csatlakozott eszköz után kell kutatniuk a támadóknak. Ebből viszont potenciálisan milliárdnyi áldozat is lehet.

Milyen eszközök és alkalmazások érintettek a sérülékenységben?

A világ és a különböző eszköz és szoftvergyártók is folyamatosan vizsgálják, hogy pontosan milyen eszközök és alkalmazások érintettek ebben a sérülékenységben. Általános szabályként minden, internetre csatlakoztatott eszköz érintett lehet, ha az az Apache Log4J 2.0-2.14.1-es verzióját futtatja.

Például a vállalati körökben népszerű Cisco Webex Meetings Server érintett a hibában, frissítést még nem adtak ki rá. A Cloudera Enterprise 6.x-es verziója is érintett, frissítésről nincs információ.

Az Amazon AWS Lambda alkalmazása is érintett, de erre már adtak ki frissítést. És hogy az abc alsó fertályáról is hozzunk példát, az Ubiquiti Unifi Network Application és Network Controller megoldásai egyaránt érintettek és frissítést is kiadtak. A VMware-nak rengeteg alkalmazása érintett, és frissítésük még nincs, az Oracle már frissített.

A legnépszerűbb érintett gyártók: Atlassian, Amazon, Microsoft Azure, Cisco, Commvault, ESRI, Exact, Fortinet, JetBrains, Nelson, Nutanix, OpenMRS, Oracle, Red Hat, Splunk, Soft és Vmware.

Az érintett alkalmazások és eszközök listáját a holland kiberbiztonsági intézet folyamatosan frissíti, az alábbi linken érhető el: https://github.com/NCSC-NL/log4shell/tree/main/software

Mi is pontosan ez a Log4j?

A Log4j egy népszerű Java könyvtár, melyet az alkalmazások hibaüzeneteinek naplózására használnak. A vállalati szoftverekben használják előszeretettel, azokban is, melyeket a cégek saját maguk fejlesztettek belső használatra. Rengeteg felhő szolgáltatásnál is előfordulhat

Otthoni felhasználóként mit kell tennem?

Az internetre csatlakoztatott eszközök esetében nézzük meg, hogy van-e firmware vagy bármilyen szoftver frissítés és telepítsük azt. Az otthoni routerek is érintettek lehetnek a sérülékenységben, például az Ubiquiti már frissítette a szoftverét.

Vállalat képviselőjenként mit tegyek?

A vállalat IT biztonságáért felelős személyként azonosítsuk azokat a hálózati eszközöket, alkalmazásokat, melyek Log4j-t használnak. Ehhez egy magyar kiberbiztonsági vállalat, a Silent Signal egy ingyenesen használható, open source eszközt hozott létre.

A második tanács, hogy figyelmeztetéseket állítsunk fel, hogy időben észleljük a a Log4j-t futtató eszközöket érintő támadásokat.

A cikkhez a lap alján tud hozzászólni, és mások hozzászólásait is ott olvashatja.

Ha tetszett a cikk:


Ne felejtsen el feliratkozni hírlevelünkre:

Vélemény, hozzászólás?

Az e-mail-címet nem tesszük közzé. A kötelező mezőket * karakterrel jelöltük

Bejelentkezés

Elfelejtett jelszó?

Fiók létrehozása?